Aml.Editor.Plugin.ElectricalParameters Class Reference

/The following classes are parameter holders for Electrical Interfaces More...

## Public Member Functions

| ElectricalParameters ()
| ElectricalParameters (string connector, string connectorCode, string connectorType, string pins, string lis)
override string | ToString ()

## Properties

string | Connector `[get, set]`
string | ConnectorCode `[get, set]`
string | ConnectorType `[get, set]`
string | Pins `[get, set]`
List< ElectricalParametersInElectricalDataDataGridView > | listofElectricalDataDataGridViewParameters `[get, set]`
List< PinParametersInPinInfoDataGridView > | listOfPinInfoDataGridViewParameters `[get, set]`

## Detailed Description

/The following classes are parameter holders for Electrical Interfaces

## Constructor & Destructor Documentation

## ElectricalParameters() [1/2]

Aml.Editor.Plugin.ElectricalParameters.ElectricalParameters | ( |  | ) |

inline

## ElectricalParameters() [2/2]

Aml.Editor.Plugin.ElectricalParameters.ElectricalParameters | ( | string | connector,
|  | string | connectorCode,
|  | string | connectorType,
|  | string | pins,
|  | string | lis
| ) |  |

inline

## Member Function Documentation

## ToString()

override string Aml.Editor.Plugin.ElectricalParameters.ToString | ( |  | ) |

inline

## Property Documentation

## Connector

string Aml.Editor.Plugin.ElectricalParameters.Connector

getset

## ConnectorCode

string Aml.Editor.Plugin.ElectricalParameters.ConnectorCode

getset

## ConnectorType

string Aml.Editor.Plugin.ElectricalParameters.ConnectorType

getset

## listofElectricalDataDataGridViewParameters

List<ElectricalParametersInElectricalDataDataGridView> Aml.Editor.Plugin.ElectricalParameters.listofElectricalDataDataGridViewParameters

getset

## listOfPinInfoDataGridViewParameters

List<PinParametersInPinInfoDataGridView> Aml.Editor.Plugin.ElectricalParameters.listOfPinInfoDataGridViewParameters

getset

## Pins

string Aml.Editor.Plugin.ElectricalParameters.Pins

getset

The documentation for this class was generated from the following file:

- MWDevice.cs